- Cal3D 0.11 API Reference -

Public Member Functions | Protected Member Functions | Friends | List of all members
cal3d::TiXmlText Class Reference

XML text. More...

`#include <tinyxml.h>`

Inheritance diagram for cal3d::TiXmlText:

## Public Member Functions

| TiXmlText (const char *initValue)
| Constructor.
| TiXmlText (const std::string &initValue)
| Constructor.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream.
Public Member Functions inherited from cal3d::TiXmlNode
const char * | Value () const
| The meaning of 'value' changes for the specific type of TiXmlNode.
void | SetValue (const char *_value)
| Changes the value of the node.
void | SetValue (const std::string &_value)
| STL std::string form.
void | Clear ()
| Delete all the children of this node. Does not affect 'this'.
TiXmlNode * | Parent () const
| One step up the DOM.
TiXmlNode * | FirstChild () const
| The first child of this node. Will be null if there are no children.
TiXmlNode * | FirstChild (const char *value) const
| The first child of this node with the matching 'value'. Will be null if none found.
TiXmlNode * | LastChild () const
TiXmlNode * | LastChild (const char *value) const
| The last child of this node. Will be null if there are no children.
TiXmlNode * | FirstChild (const std::string &_value) const
| The last child of this node matching 'value'. Will be null if there are no children.
TiXmlNode * | LastChild (const std::string &_value) const
| STL std::string form.
TiXmlNode * | IterateChildren (TiXmlNode *previous) const
| An alternate way to walk the children of a node.
TiXmlNode * | IterateChildren (const char *value, TiXmlNode *previous) const
| This flavor of IterateChildren searches for children with a particular 'value'.
TiXmlNode * | IterateChildren (const std::string &_value, TiXmlNode *previous) const
| STL std::string form.
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
| Add a new node related to this.
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
| Replace a child of this node.
bool | RemoveChild (TiXmlNode *removeThis)
| Delete a child of this node.
TiXmlNode * | PreviousSibling () const
| Navigate to a sibling node.
TiXmlNode * | PreviousSibling (const char *) const
| Navigate to a sibling node.
TiXmlNode * | PreviousSibling (const std::string &_value) const
| STL std::string form.
TiXmlNode * | NextSibling (const std::string &_value) const
| STL std::string form.
TiXmlNode * | NextSibling () const
| Navigate to a sibling node.
TiXmlNode * | NextSibling (const char *) const
| Navigate to a sibling node with the given 'value'.
TiXmlElement * | NextSiblingElement () const
| Convenience function to get through elements.
TiXmlElement * | NextSiblingElement (const char *) const
| Convenience function to get through elements.
TiXmlElement * | NextSiblingElement (const std::string &_value) const
| STL std::string form.
TiXmlElement * | FirstChildElement () const
| Convenience function to get through elements.
TiXmlElement * | FirstChildElement (const char *value) const
| Convenience function to get through elements.
TiXmlElement * | FirstChildElement (const std::string &_value) const
| STL std::string form.
virtual int | Type () const
| Query the type (as an enumerated value, above) of this node.
TiXmlDocument * | GetDocument () const
| Return a pointer to the Document this node lives in.
bool | NoChildren () const
| Returns true if this node has no children.
TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null not of the requested type.
TiXmlElement * | ToElement () const
| Cast to a more defined type. Will return null not of the requested type.
TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null not of the requested type.
TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null not of the requested type.
TiXmlText * | ToText () const
| Cast to a more defined type. Will return null not of the requested type.
TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null not of the requested type.
void | SetUserData (void *user)
void * | GetUserData ()
Public Member Functions inherited from cal3d::TiXmlBase
int | Row () const
| Return the position, in the original source file, of this node or attribute.
int | Column () const
| See Row().

## Protected Member Functions

virtual TiXmlNode * | Clone () const
virtual void | StreamOut (TIXML_OSTREAM *out) const
bool | Blank () const
virtual const char * | Parse (const char *p, TiXmlParsingData *data)
virtual void | StreamIn (TIXML_ISTREAM *in, TIXML_STRING *tag)
Protected Member Functions inherited from cal3d::TiXmlNode
| TiXmlNode (NodeType type)
TiXmlNode * | Identify (const char *start)
void | CopyToClone (TiXmlNode *target) const
TIXML_STRING | SValue () const

## Friends

class | TiXmlElement

## Additional Inherited Members

Public Types inherited from cal3d::TiXmlNode
enum | NodeType { DOCUMENT , ELEMENT , COMMENT , UNKNOWN , TEXT , DECLARATION , TYPECOUNT }
| The types of XML nodes supported by TinyXml. More...
Static Public Member Functions inherited from cal3d::TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
| The world does not agree on whether white space should be kept or not.
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
Protected Types inherited from cal3d::TiXmlBase

enum

{
TIXML_NO_ERROR = 0 , TIXML_ERROR , TIXML_ERROR_OPENING_FILE , TIXML_ERROR_OUT_OF_MEMORY ,
TIXML_ERROR_PARSING_ELEMENT , TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME , TIXML_ERROR_READING_ELEMENT_VALUE , TIXML_ERROR_READING_ATTRIBUTES ,
TIXML_ERROR_PARSING_EMPTY , TIXML_ERROR_READING_END_TAG , TIXML_ERROR_PARSING_UNKNOWN , TIXML_ERROR_PARSING_COMMENT ,
TIXML_ERROR_PARSING_DECLARATION , TIXML_ERROR_DOCUMENT_EMPTY , TIXML_ERROR_STRING_COUNT
}

Static Protected Member Functions inherited from cal3d::TiXmlBase
static const char * | SkipWhiteSpace (const char *)
static bool | IsWhiteSpace (int c)
static bool | StreamWhiteSpace (TIXML_ISTREAM *in, TIXML_STRING *tag)
static bool | StreamTo (TIXML_ISTREAM *in, int character, TIXML_STRING *tag)
static const char * | ReadName (const char *p, TIXML_STRING *name)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase)
static const char * | GetEntity (const char *in, char *value)
static const char * | GetChar (const char *p, char *_value)
static void | PutString (const TIXML_STRING &str, TIXML_OSTREAM *out)
static void | PutString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase)
Protected Attributes inherited from cal3d::TiXmlNode
TiXmlNode * | parent
NodeType | type
TiXmlNode * | firstChild
TiXmlNode * | lastChild
TIXML_STRING | value
TiXmlNode * | prev
TiXmlNode * | next
void * | userData
Protected Attributes inherited from cal3d::TiXmlBase
TiXmlCursor | location
Static Protected Attributes inherited from cal3d::TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

XML text.

Contained in an element.

## Member Function Documentation

## ◆ Clone()

TiXmlNode * cal3d::TiXmlText::Clone | ( |  | ) | const

protected virtual

Implements cal3d::TiXmlNode.

## ◆ Parse()

const char * cal3d::TiXmlText::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data )

protected virtual

Implements cal3d::TiXmlBase.

## ◆ Print()

void cal3d::TiXmlText::Print | ( | FILE * | cfile,
|  | int | depth ) const

virtual

All TinyXml classes can print themselves to a filestream.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements cal3d::TiXmlBase.

## ◆ StreamIn()

void cal3d::TiXmlText::StreamIn | ( | TIXML_ISTREAM * | in,
|  | TIXML_STRING * | tag )

protected virtual

Implements cal3d::TiXmlNode.

## ◆ StreamOut()

void cal3d::TiXmlText::StreamOut | ( | TIXML_OSTREAM * | out | ) | const

protected virtual

Implements cal3d::TiXmlBase.

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp

Generated by The Cal3D Team with Doxygen 1.15.0